## gcr 3.36.0

=== meson_options.txt ===
option('introspection',
  type: 'boolean',
  value: true,
  description: 'Build GObject Introspection (GIR) files',
)
option('gtk',
  type: 'boolean',
  value: true,
  description: 'Build code that uses GTK+',
)
option('gtk_doc',
  type: 'boolean',
  value: true,
  description: 'Build the reference documentation (requires gtk-doc)',
)

## gcr 3.4.1

=== debian/changelog ===
gcr (3.4.1-3) unstable; urgency=low

  * Fix the Breaks/Replaces in libgcr-3-common. Closes: #673581
  * Drop obsolete Replaces for libgnome-keyring-dev (<< 2.25).

 -- Michael Biebl <biebl@debian.org>  Sun, 20 May 2012 01:18:34 +0200

gcr (3.4.1-2) unstable; urgency=low

  * Let libgck-1-0 break gnome-keyring and seahorse (<< 3.4), as their
    3.2.x versions don't work when using the new lib.
  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Sat, 19 May 2012 01:14:01 +0200

gcr (3.4.1-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release split from gnome-keyring.
  * Update Build-Depends and Depends.
  * Add necessary Breaks/Replaces.
  * Update .symbols files.
  * Rewrite copyright file using the machine-readable 1.0 format.

  [ Jordi Mallach ]
  * New upstream release.
  * Fix some copyright notices in copyright file.
  * Update watch file.
  * Add Vcs-* headers.
  * Enable introspection support.
  * Add libgcr-base-3-1 symbols. For now, we won't use a separate package.
  * Update package names for DEB_DH_MAKESHLIBS_ARGS.
  * Require libglib2.0-dev >= 2.32, to fix a build error.
  * Drop dh-autoreconf, we don't need it right now.
  * Stop configuring with --enable-static, and drop .a files from -dev
    packages.
  * Pass --libexecdir to configure, to avoid a reference to unexpanded
    ${prefix}/lib/gcr/gcr-prompter in the prompter's desktop file.
  * Fix typo in gcr's description.

 -- Jordi Mallach <jordi@debian.org>  Thu, 03 May 2012 10:18:39 +0200

gnome-keyring (3.2.2-2) unstable; urgency=low

  [ Martin Pitt ]
  * Add 00git_gmodule_include.patch: Fix FTBFS due to missing gmodule package
    check when building against glib 2.31.
  * Add 00git_glib_2.31_deprecations.patch: Fix deprecated API for building
    with glib 2.31. Backported from upstream git head. (LP: #911125)

  [ Michael Biebl ]
  * Add 00git_rpc-layer-Correctly-handle-case-where-gnome-keyring-.patch:
    Correctly handle case where gnome-keyring-daemon is not running. Fixes the
    infamous "gnome-keyring:: no socket to connect to" warning from the
    gnome-keyring pam module. Closes: #649408
  * Drop debian/patches/99_ltmain_as-needed.patch: It conflicts with
    dh-autoreconf.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Jan 2012 20:02:03 +0100

gnome-keyring (3.2.2-1) unstable; urgency=low

  [ Michael Biebl ]
  * New upstream release.
  * Drop libgcr0 and libgcr-dev again, upstream no longer supports GTK 2
    builds.
  * Bump debhelper compatibility level to 8.
  * Add Build-Depends on libp11-kit-dev (>= 0.6).
  * Change Build-Depends on libcap-dev to libcap-ng-dev.
  * debian/watch: Track .xz tarballs.
  * debian/rules: Don't run update-mime-database utility.

  [ Jordi Mallach ]
  * Update Vcs-* URLs.

  [ Michael Biebl ]
  * debian/gnome-keyring.install: Install icons, mime types, pkcs11 config
    files and the pkcs11 modules from the multiarch paths.
  * Update for the soname bumps of libgcr and libgck:
    - Rename libgck0 → libgck-1-0.
    - Rename libgck-dev → libgck-1-dev.
    - Rename libgcr-3-0 → libgcr-3-1.
    - Update symbols files.
  * Split the API documentation into libgck-1-doc and libgcr-3-doc and add the
    necessary Breaks/Replaces.
  * Split the data files from libgcr-3-1 into a libgcr-3-common package and
    make libgcr-3-1 depend on it.
  * Make the -dev packages depend on libp11-kit-dev.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Nov 2011 15:01:44 +0100

gnome-keyring (3.0.3-2) unstable; urgency=low

  * Re-add libgcr0 and libgcr-dev packages

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 31 May 2011 19:59:00 -0700

gnome-keyring (3.0.3-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Move to *.bz2, upstream does not release .gz tarballs any
    more.

 -- Martin Pitt <mpitt@debian.org>  Tue, 31 May 2011 07:17:56 +0200

gnome-keyring (3.0.2-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/patches/04_expand_LIBEXECDIR.patch: Drop patch, applied from
    upstream
  * debian/rules: Enable tests
  * debian/patches/01_fix_glib_link.patch: Fix FTBFS with --no-add-needed

  [ Martin Pitt ]
  * New upstream release.
  * debian/libgcr-3-0.symbols: Add new symbols from this upstream release.
  * Drop 01_fix_glib_link.patch, applied upstream.
  * debian/rules: As the PKCS11 tests often fail right now, don't cause test
    suite failures to fail the build. Let's see how well this works on the
    Debian buildds first.

 -- Martin Pitt <mpitt@debian.org>  Mon, 23 May 2011 11:34:04 +0200

gnome-keyring (3.0.0-3) unstable; urgency=low

  [ Josselin Mouette ]
  * Break libgnome-keyring < 3.0.
  * Fail gracefully when capabilities are not supported.
    Closes: #622875, #623335.
  * Break seahorse-plugins < 3.0, since it takes over the GPG 
    functionality.
  * README.Debian: document how to disable gnome-keyring components.
    Closes: #623539.

 -- Jordi Mallach <jordi@debian.org>  Thu, 21 Apr 2011 19:36:47 +0200

gnome-keyring (3.0.0-2) unstable; urgency=low

  * Upload to unstable.
  * Rename libgcr-dev to libgcr-3-dev, to allow for a future GTK+2-based
    build, if needed.
  * Bump Standards-Version to 3.9.2, with no changes required.

 -- Jordi Mallach <jordi@debian.org>  Thu, 14 Apr 2011 23:18:31 +0200

gnome-keyring (3.0.0-1) experimental; urgency=low

  * New upstream release
  * Drop debian/patches/01_pam-logging-less-verbose.patch,
    debian/patches/05_use_in_xfce.patch: Applied upstream
  * debian/libgcr-3-0.symbols: Adjust .symbols file
  * debian/gnome-keyring.install: Also install /usr/share/applications/
  * debian/patches/04_expand_LIBEXECDIR.patch: Correctly expand LIBEXECDIR
    in gnome-keyring-prompt.desktop

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Apr 2011 23:25:25 +0200

gnome-keyring (2.91.91-1) experimental; urgency=low

  * New upstream release
  * debian/control.in:
    - Add libcap-dev as build-dependency for linux-any


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gcr
Section: gnome
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs,
               docbook-xml,
               gnome-pkg-tools (>= 0.10),
               gtk-doc-tools (>= 1.9),
               gobject-introspection (>= 1.29),
               intltool (>= 0.35.0),
               libgirepository1.0-dev (>= 1.29),
               libgtk-3-dev (>= 3.0.0),
               libglib2.0-dev (>= 2.32.0),
               libtasn1-3-dev (>= 0.3.4),
               libtasn1-3-bin,
               libdbus-1-dev (>= 1.0),
               libgcrypt11-dev (>= 1.2.2),
               libp11-kit-dev (>= 0.6),
               libglib2.0-doc,
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gcr
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gcr
Homepage: https://live.gnome.org/GnomeKeyring

Package: gcr
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dbus-x11,
Breaks: gnome-keyring (<< 3.3)
Replaces: gnome-keyring (<< 3.3)
Description: GNOME crypto services (daemon and tools)
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the certificate viewer and prompter service.

Package: libgck-1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         gir1.2-gck-1 (= ${binary:Version}),
         libgck-1-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.30.0),
         libp11-kit-dev
Suggests: libgck-1-doc
Description: GLib wrapper library for PKCS#11 - development
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the GCK library.

Package: libgck-1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Replaces: libgck-dev (<< 3.2.2-1)
Breaks: libgck-dev (<< 3.2.2-1)
Description: GLib wrapper library for PKCS#11 - documentation
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the API documentation for the GCK library.

Package: libgck-1-0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-keyring (<< 3.4),
        seahorse (<< 3.4)
Description: Glib wrapper library for PKCS#11 - runtime
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the shared libraries needed to run programs
 built against the GCK library.

Package: gir1.2-gck-1
Architecture: any
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GCK library
 This package contains introspection data for GCK, a wrapper based on GLib
 implementing the PKCS#11 (Cryptoki) interface.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the GCK library.

Package: libgcr-3-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         gir1.2-gcr-3 (= ${binary:Version}),
         libgcr-3-1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.30.0),
         libgck-1-dev (= ${binary:Version}),
         libgtk-3-dev (>= 3.0.0),
         libtasn1-3-dev (>= 0.3.4),
         libtasn1-3-bin,
         libp11-kit-dev
Suggests: libgcr-3-doc
Replaces: libgcr-dev (<< 3.0.0-2~)
Breaks: libgcr-dev (<< 3.0.0-2~)
Description: Library for Crypto UI related task - development
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the GCR library.

Package: libgcr-3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Replaces: libgcr-3-dev (<< 3.2.2-1)
Breaks: libgcr-3-dev (<< 3.2.2-1)
Description: Library for Crypto UI related task - documentation
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the API documentation for the GCR library.

Package: libgcr-3-1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgcr-3-common
Description: Library for Crypto UI related task - runtime
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the shared libraries needed to run programs
 built against the GCR library.

Package: libgcr-3-common
Section: libs
Architecture: all
Depends: ${misc:Depends}
Replaces: libgcr-3-0 (<< 3.2.2-1)
Breaks: libgcr-3-0 (<< 3.2.2-1)
Description: Library for Crypto UI related task - common files
 GCR is a library for crypto UI and related tasks.
 .
 This package contains data files uses by the GCR library.

Package: gir1.2-gcr-3
Architecture: any
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GCR library
 This package contains introspection data for GCK, a library for crypto UI
 and related tasks.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the GCR library.

## gcr 3.6.0

=== debian/changelog ===
gcr (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream stable release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 27 Sep 2012 10:25:24 +1200

gcr (3.5.92-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 18 Sep 2012 14:07:55 +0200

gcr (3.5.90-0ubuntu1) quantal; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Aug 2012 11:19:17 +0200

gcr (3.5.5-0ubuntu1) quantal; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Aug 2012 16:51:11 +0200

gcr (3.5.4-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 19 Jul 2012 09:55:28 +1200

gcr (3.5.3-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libglib2.0-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 26 Jun 2012 13:10:10 +1200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gcr
 Section: gnome
 Priority: optional
-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs,
                docbook-xml,
@@ -47,7 +47,7 @@
 Depends: ${misc:Depends},
          gir1.2-gck-1 (= ${binary:Version}),
          libgck-1-0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.30.0),
+         libglib2.0-dev (>= 2.32.0),
          libp11-kit-dev
 Suggests: libgck-1-doc
 Description: GLib wrapper library for PKCS#11 - development
@@ -102,7 +102,7 @@
 Depends: ${misc:Depends},
          gir1.2-gcr-3 (= ${binary:Version}),
          libgcr-3-1 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.30.0),
+         libglib2.0-dev (>= 2.32.0),
          libgck-1-dev (= ${binary:Version}),
          libgtk-3-dev (>= 3.0.0),
          libtasn1-3-dev (>= 0.3.4),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS := -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

DEB_MAKE_CHECK_TARGET := -k check || true

DEB_CONFIGURE_EXTRA_FLAGS += --libexecdir=/usr/lib/gcr \
                             --enable-gtk-doc \
                             --enable-introspection \
                             --disable-update-mime

DEB_DH_MAKESHLIBS_ARGS_libgcr-3-1 += -V -- -c4
DEB_DH_MAKESHLIBS_ARGS_libgck-1-0 += -V -- -c4

common-binary-post-install-arch:: list-missing

## gcr 3.6.2

=== debian/changelog ===
gcr (3.6.2-0ubuntu1) raring; urgency=low

  * New upstream versions:
    - Remove unneeded translation
    - Clear and focus password entry in gcr-viewer when invalid password
    - Keep enumerating if getting info about one slot fails.
    - Updated translations
    - Testing fixes

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Nov 2012 10:37:35 +0100

gcr (3.6.0-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 09 Oct 2012 09:04:47 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs,
                docbook-xml,

## gcr 3.8.2

=== debian/changelog ===
gcr (3.8.2-4) unstable; urgency=low

  [ Jeremy Bicha ]
  * Update homepage

  [ Laurent Bigonville ]
  * d/p/Allow-valgrind-support-to-be-completely-disabled.patch,
    d/p/Fix-compilation-if-valgrind-support-is-completely-.patch,
    debian/rules: Disable valgrind macros, this is seems to cause
    miscompilations on some architectures (Closes: #678496)
  * debian/rules, debian/control: Add call to dh-autoreconf

 -- Laurent Bigonville <bigon@debian.org>  Sun, 30 Jun 2013 00:08:09 +0200

gcr (3.8.2-3) unstable; urgency=low

  * debian/control.in
    - Fix typo in gir1.2-gcr-3 long description (Closes: #699679)
    - Use canonical URL for Vcs-Svn field
  * debian/rules: Use DEB_LDFLAGS_MAINT_APPEND instead of LDFLAGS and include
    buildflags.mk to avoid overriding hardening flags
  * Bump debhelper and cdbs build-dependencies and convert the package to
    multi-arch (Closes: #692743)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 18 Jun 2013 21:01:07 +0200

gcr (3.8.2-2) unstable; urgency=low

  * GnuTLS was switched back to libtasn1-3 from libtasn1-6, so do the same
    until there is a proper transition.
  * Split libgcr-3-1 into libgcr-base-3-1 and libgcr-ui-3-1 and make
    libgcr-3-1 a transitional package depending on both. This avoids problems
    should the sonames of the two libraries ever get out of sync. For the gir
    and -dev package we will keep a single package.
  * Add the necessary Breaks/Replaces to ensure proper upgrades.
  * Add Build-Depends on autotools-dev as lintian was complaining about
    outdated config.{guess,sub}.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Jun 2013 22:09:42 +0200

gcr (3.8.2-1) experimental; urgency=low

  * New upstream release
  * Switch to libtasn1-6-dev and libtasn1-bin

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 16 May 2013 21:13:23 +0200

gcr (3.8.1-1) experimental; urgency=low

  * New upstream release.
  * debian/libgcr-3-1.symbols:
    + Bump all the symbols' min version to 3.8.0 as libgcr.so.1
      was renamed to libgcr-ui.so.1 during 3.7.x and so rdeps need
      to depend on a new enough version that ships libgcr-ui.so,
      as that's what they link against now because of the
      libgcr.so -> libgcr-ui.so.1 symlink.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 28 Apr 2013 11:40:05 +0200

gcr (3.8.0-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 31 Mar 2013 22:22:37 +0200

gcr (3.7.92-1) experimental; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release (v3.7.5)
  * debian/control:
    - Bump build-dep on gobject-introspection (>= 1.34)
  * debian/rules:
    - Explicitly pass --with-gtk
  * debian/libgcr-3-*.*,gir1.2-gcr-3.install:
    - Install libgcr-ui-3.so.* and GI files, backward compat symlinks to
      libgcr-3.so are provided
  * debian/patches:
    - 00git.patch: upstream introspection fixes
  * debian/rules:
    - Fix broken symlink name

  [ Robert Ancell ]
  * debian/libgcr-3-0.symbols:
    - Updated

  [ Andreas Henriksson ]
  * New upstream release (v3.7.91)
  * Dropped debian/patches/00git.patch, now included in released version.
  * Added debian/patches/0001-fix-build-error-with-Werror-format-security.patch
  * debian/rules: no need for debian/libgcr-3-1/usr/lib/libgcr-3.so.1:0:0
    fix anymore so drop it. (see "Fix broken symlink name" above?)
  * debian/libgcr-3-1.symbols: updated.
    - many symbols dropped, but none used outside gcr.
  * Fix spelling error in debian/changelog found by lintian.
  * New upstream release (v3.7.92)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 22 Mar 2013 14:06:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,32 +2,35 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: gcr
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 8),
-               cdbs,
+Maintainer: Josselin Mouette <joss@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Build-Depends: debhelper (>= 9),
+               cdbs (>= 0.4.93~),
+               dh-autoreconf,
+               autotools-dev,
                docbook-xml,
+               dpkg-dev (>= 1.16.1~),
                gnome-pkg-tools (>= 0.10),
                gtk-doc-tools (>= 1.9),
-               gobject-introspection (>= 1.29),
+               gobject-introspection (>= 1.34),
                intltool (>= 0.35.0),
-               libgirepository1.0-dev (>= 1.29),
+               libgirepository1.0-dev (>= 1.34),
                libgtk-3-dev (>= 3.0.0),
                libglib2.0-dev (>= 2.32.0),
-               libtasn1-3-dev (>= 0.3.4),
+               libtasn1-3-dev,
                libtasn1-3-bin,
                libdbus-1-dev (>= 1.0),
                libgcrypt11-dev (>= 1.2.2),
                libp11-kit-dev (>= 0.6),
                libglib2.0-doc,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gcr
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gcr
-Homepage: https://live.gnome.org/GnomeKeyring
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gcr
+Homepage: https://wiki.gnome.org/GnomeKeyring
 
 Package: gcr
 Architecture: any
@@ -77,6 +80,8 @@
          ${shlibs:Depends}
 Breaks: gnome-keyring (<< 3.4),
         seahorse (<< 3.4)
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Glib wrapper library for PKCS#11 - runtime
  GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
  interface.
@@ -101,17 +106,18 @@
 Architecture: any
 Depends: ${misc:Depends},
          gir1.2-gcr-3 (= ${binary:Version}),
-         libgcr-3-1 (= ${binary:Version}),
+         libgcr-base-3-1 (= ${binary:Version}),
+         libgcr-ui-3-1 (= ${binary:Version}),
          libglib2.0-dev (>= 2.32.0),
          libgck-1-dev (= ${binary:Version}),
          libgtk-3-dev (>= 3.0.0),
-         libtasn1-3-dev (>= 0.3.4),
+         libtasn1-3-dev,
          libtasn1-3-bin,
          libp11-kit-dev
 Suggests: libgcr-3-doc
 Replaces: libgcr-dev (<< 3.0.0-2~)
 Breaks: libgcr-dev (<< 3.0.0-2~)
-Description: Library for Crypto UI related task - development
+Description: Library for Crypto UI related tasks - development
  GCR is a library for crypto UI and related tasks.
  .
  This package contains the static libraries, header files and
@@ -124,22 +130,57 @@
 Suggests: devhelp
 Replaces: libgcr-3-dev (<< 3.2.2-1)
 Breaks: libgcr-3-dev (<< 3.2.2-1)
-Description: Library for Crypto UI related task - documentation
+Description: Library for Crypto UI related tasks - documentation
  GCR is a library for crypto UI and related tasks.
  .
  This package contains the API documentation for the GCR library.
 
 Package: libgcr-3-1
+Section: oldlibs
+Priority: extra
+Architecture: any
+Depends: ${misc:Depends},
+         libgcr-base-3-1 (= ${binary:Version}),
+         libgcr-ui-3-1 (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Description: Library for Crypto UI related task - transitional package
+ GCR is a library for crypto UI and related tasks.
+ .
+ This is a transitional package to ensure smooth upgrades. It can be
+ removed safely.
+
+Package: libgcr-base-3-1
 Section: libs
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgcr-3-common
-Description: Library for Crypto UI related task - runtime
- GCR is a library for crypto UI and related tasks.
- .
- This package contains the shared libraries needed to run programs
- built against the GCR library.
+Replaces: libgcr-3-1 (<< 3.8.2-2)
+Breaks: libgcr-3-1 (<< 3.8.2-2)
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Description: Library for Crypto related tasks
+ GCR is a library for crypto UI and related tasks.
+ .
+ This package contains the GObject library for high level crypto
+ parsing.
+
+Package: libgcr-ui-3-1
+Section: libs
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libgcr-3-common
+Replaces: libgcr-3-1 (<< 3.8.2-2)
+Breaks: libgcr-3-1 (<< 3.8.2-2)
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Description: Library for Crypto UI related tasks
+ GCR is a library for crypto UI and related tasks.
+ .
+ This package contains the GObject and GUI library for high level
+ crypto parsing and display.
 
 Package: libgcr-3-common
 Section: libs
@@ -147,7 +188,8 @@
 Depends: ${misc:Depends}
 Replaces: libgcr-3-0 (<< 3.2.2-1)
 Breaks: libgcr-3-0 (<< 3.2.2-1)
-Description: Library for Crypto UI related task - common files
+Multi-Arch: foreign
+Description: Library for Crypto UI related tasks - common files
  GCR is a library for crypto UI and related tasks.
  .
  This package contains data files uses by the GCR library.
@@ -158,7 +200,7 @@
 Depends: ${gir:Depends},
          ${misc:Depends}
 Description: GObject introspection data for the GCR library
- This package contains introspection data for GCK, a library for crypto UI
+ This package contains introspection data for GCR, a library for crypto UI
  and related tasks.
  .
  It can be used by interpreters understanding the GIRepository format to

## gcr 3.10.1

=== debian/changelog ===
gcr (3.10.1-1) experimental; urgency=low

  * New upstream release
  * d/p/0001-fix-build-error-with-Werror-format-security.patch
    + Dropped, fixed upstream
  * Enable vala bindings

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Oct 2013 16:48:53 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 9),
                cdbs (>= 0.4.93~),
                dh-autoreconf,
@@ -25,8 +25,9 @@
                libtasn1-3-bin,
                libdbus-1-dev (>= 1.0),
                libgcrypt11-dev (>= 1.2.2),
-               libp11-kit-dev (>= 0.6),
+               libp11-kit-dev (>= 0.19.0),
                libglib2.0-doc,
+               valac
 Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gcr
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gcr

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_DH_AUTORECONF_ARGS = --as-needed

export DEB_LDFLAGS_MAINT_APPEND := -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

DEB_MAKE_CHECK_TARGET := -k check || true

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
                             --libexecdir=/usr/lib/gcr \
                             --enable-gtk-doc \
                             --enable-introspection \
                             --with-gtk \
                             --disable-update-mime \
                             --disable-valgrind

DEB_DH_MAKESHLIBS_ARGS_libgcr-base-3-1 += -V -- -c4
DEB_DH_MAKESHLIBS_ARGS_libgcr-ui-3-1 += -V -- -c4
DEB_DH_MAKESHLIBS_ARGS_libgck-1-0 += -V -- -c4

common-binary-post-install-arch:: list-missing

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gcr/([\d\.]+[02468])/ \
        gcr-(.*)\.tar\.xz

## gcr 3.12.2

=== debian/changelog ===
gcr (3.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 May 2014 11:00:36 +0200

gcr (3.12.0-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Switch to libtasn1-6-dev and libtasn1-6-bin
    (Closes: #715354)

  [ Andreas Henriksson ]
  * New upstream release.
  * Add explicit xsltproc build-dependency (used by introspection generation)
  * Drop debian/patches, both patches include in upstream release.
    - debian/patches/Allow-valgrind-support-to-be-completely-disabled.patch
    - debian/patches/Fix-compilation-if-valgrind-support-is-completely-.patch
  * Fix {build-,}dependency: libtasn1-6-bin -> libtasn1-bin
  * Add 2 new symbols to debian/libgck-1-0.symbols
  * Add 7 new symbols to debian/libgcr-base-3-1.symbols
  * Add 3 new symbols to debian/libgcr-ui-3-1.symbols
  * Bump Standards-Version to 3.9.5
  * libgck-1-dev: install usr/share/vala/vapi/pkcs11.vapi

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 23 Mar 2014 19:54:57 +0100

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,15 @@
                libgirepository1.0-dev (>= 1.34),
                libgtk-3-dev (>= 3.0.0),
                libglib2.0-dev (>= 2.32.0),
-               libtasn1-3-dev,
-               libtasn1-3-bin,
+               libtasn1-6-dev,
+               libtasn1-bin,
                libdbus-1-dev (>= 1.0),
                libgcrypt11-dev (>= 1.2.2),
                libp11-kit-dev (>= 0.19.0),
                libglib2.0-doc,
-               valac
-Standards-Version: 3.9.4
+               valac,
+               xsltproc
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gcr
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gcr
 Homepage: https://wiki.gnome.org/GnomeKeyring
@@ -112,8 +113,8 @@
          libglib2.0-dev (>= 2.32.0),
          libgck-1-dev (= ${binary:Version}),
          libgtk-3-dev (>= 3.0.0),
-         libtasn1-3-dev,
-         libtasn1-3-bin,
+         libtasn1-6-dev,
+         libtasn1-bin,
          libp11-kit-dev
 Suggests: libgcr-3-doc
 Replaces: libgcr-dev (<< 3.0.0-2~)

## gcr 3.14.0

=== debian/changelog ===
gcr (3.14.0-2) unstable; urgency=medium

  * Add debian/patches/bgo737622.patch
    - fix race in Makefile to avoid FTBFS.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 30 Sep 2014 22:05:30 +0200

gcr (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    + Bump libglib2.0-dev to >= 2.38.0
    + Bump libgcrypt11-dev to >= 1.4.5
  * Update debian/libgcr-base-3-1.symbols

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Sep 2014 20:27:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gcr
 Section: gnome
 Priority: optional
@@ -20,11 +19,11 @@
                intltool (>= 0.35.0),
                libgirepository1.0-dev (>= 1.34),
                libgtk-3-dev (>= 3.0.0),
-               libglib2.0-dev (>= 2.32.0),
+               libglib2.0-dev (>= 2.38.0),
                libtasn1-6-dev,
                libtasn1-bin,
                libdbus-1-dev (>= 1.0),
-               libgcrypt11-dev (>= 1.2.2),
+               libgcrypt11-dev (>= 1.4.5),
                libp11-kit-dev (>= 0.19.0),
                libglib2.0-doc,
                valac,

## gcr 3.16.0

=== debian/changelog ===
gcr (3.16.0-1ubuntu2) wily; urgency=medium

  * debian/control:
    - Switch build-depends from transitional libgcrypt11-dev to libgcrypt20-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 07 Aug 2015 13:12:41 +1200

gcr (3.16.0-1ubuntu1) wily; urgency=medium

  * d/p/0001-gcr-prompt-dialog-Allow-the-use-of-mnemonics-in-the-.patch:
    Apply patch to allow mnemonics in prompt dialogs choice labels. Fixes ugly
    "_" in pinentry-gnome3 dialog.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 13 Jul 2015 14:49:24 +0100

gcr (3.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/bgo737622.patch, merged upstream.
  * Drop obsolete Breaks and Replaces from pre-wheezy.
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * Install typelib files into multiarch paths.
  * Mark gir and dev packages as Multi-Arch: same and the doc packages as
    Multi-Arch: foreign.
  * Drop transitional package libgcr-3-1, which contained nothing bug a few
    compat symlinks. All reverse dependencies have been updated, so it's no
    longer needed.
  * Update Homepage: URL.
  * Bump Standards-Version to 3.9.6.
  * Bump Build-Depends on libgtk-3-dev to (>= 3.10.0) as per configure.ac.
  * Update dependencies of the dev packages as specified in their .pc files.
  * Fix debian/libgck-1-0.symbols, sort entries and remove duplicates.

 -- Michael Biebl <biebl@debian.org>  Sun, 24 May 2015 17:11:49 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gcr
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 9),
               cdbs (>= 0.4.93~),
               dh-autoreconf,
               autotools-dev,
               docbook-xml,
               dpkg-dev (>= 1.16.1~),
               gnome-pkg-tools (>= 0.10),
               gtk-doc-tools (>= 1.9),
               gobject-introspection (>= 1.34),
               intltool (>= 0.35.0),
               libgirepository1.0-dev (>= 1.34),
               libgtk-3-dev (>= 3.10.0),
               libglib2.0-dev (>= 2.38.0),
               libtasn1-6-dev,
               libtasn1-bin,
               libdbus-1-dev (>= 1.0),
               libgcrypt20-dev (>= 1.4.5),
               libp11-kit-dev (>= 0.19.0),
               libglib2.0-doc,
               valac,
               xsltproc
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gcr
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gcr
Homepage: https://wiki.gnome.org/Projects/GnomeKeyring

Package: gcr
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dbus-x11,
Description: GNOME crypto services (daemon and tools)
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the certificate viewer and prompter service.

Package: libgck-1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         gir1.2-gck-1 (= ${binary:Version}),
         libgck-1-0 (= ${binary:Version}),
         libglib2.0-dev,
         libp11-kit-dev
Suggests: libgck-1-doc
Description: GLib wrapper library for PKCS#11 - development
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the GCK library.

Package: libgck-1-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Description: GLib wrapper library for PKCS#11 - documentation
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the API documentation for the GCK library.

Package: libgck-1-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Glib wrapper library for PKCS#11 - runtime
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the shared libraries needed to run programs
 built against the GCK library.

Package: gir1.2-gck-1
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GCK library
 This package contains introspection data for GCK, a wrapper based on GLib
 implementing the PKCS#11 (Cryptoki) interface.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the GCK library.

Package: libgcr-3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         gir1.2-gcr-3 (= ${binary:Version}),
         libgcr-base-3-1 (= ${binary:Version}),
         libgcr-ui-3-1 (= ${binary:Version}),
         libgck-1-dev (= ${binary:Version}),
         libglib2.0-dev,
         libgtk-3-dev,
         libp11-kit-dev
Suggests: libgcr-3-doc
Description: Library for Crypto UI related tasks - development
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the GCR library.

Package: libgcr-3-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Description: Library for Crypto UI related tasks - documentation
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the API documentation for the GCR library.

Package: libgcr-base-3-1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgcr-3-common
Replaces: libgcr-3-1 (<< 3.8.2-2)
Breaks: libgcr-3-1 (<< 3.8.2-2)
Description: Library for Crypto related tasks
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the GObject library for high level crypto
 parsing.

Package: libgcr-ui-3-1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgcr-3-common
Replaces: libgcr-3-1 (<< 3.8.2-2)
Breaks: libgcr-3-1 (<< 3.8.2-2)
Description: Library for Crypto UI related tasks
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the GObject and GUI library for high level
 crypto parsing and display.

Package: libgcr-3-common
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Library for Crypto UI related tasks - common files
 GCR is a library for crypto UI and related tasks.
 .
 This package contains data files uses by the GCR library.

Package: gir1.2-gcr-3
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GCR library
 This package contains introspection data for GCR, a library for crypto UI
 and related tasks.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the GCR library.

## gcr 3.18.0

=== debian/changelog ===
gcr (3.18.0-1ubuntu1) xenial; urgency=medium

  * Resynchronize on Debian, remaining change
  * d/p/0001-gcr-prompt-dialog-Allow-the-use-of-mnemonics-in-the-.patch:
    Apply patch to allow mnemonics in prompt dialogs choice labels.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 23 Oct 2015 10:40:58 +0200

gcr (3.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on libgtk-3-dev to (>= 3.12.0) as per configure.ac.
  * Switch Build-Depends from transitional libgcrypt11-dev to libgcrypt20-dev.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Oct 2015 19:09:09 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                gobject-introspection (>= 1.34),
                intltool (>= 0.35.0),
                libgirepository1.0-dev (>= 1.34),
-               libgtk-3-dev (>= 3.10.0),
+               libgtk-3-dev (>= 3.12.0),
                libglib2.0-dev (>= 2.38.0),
                libtasn1-6-dev,
                libtasn1-bin,
@@ -30,7 +30,7 @@
                valac,
                xsltproc
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gcr
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gcr
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gcr
 Homepage: https://wiki.gnome.org/Projects/GnomeKeyring

## gcr 3.20.0

=== debian/changelog ===
gcr (3.20.0-5.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix copyright attribution for the valgrind files. Closes: #712612

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 05 May 2017 23:37:29 +0200

gcr (3.20.0-5) unstable; urgency=medium

  * Brown paper bag release.
  * Actually add the patch contents to tests-collection-test-timeout.patch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 05 Feb 2017 12:01:17 +0100

gcr (3.20.0-4) unstable; urgency=medium

  * debian/patches/tests-collection-test-timeout.patch:
    + Increase a test timeout. The current test is too low and can make
      the test fail if the system is too slow or too loaded. Closes: #846728.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 05 Feb 2017 11:28:38 +0100

gcr (3.20.0-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Add debian/docs to install AUTHORS, NEWS and README

  [ Michael Biebl ]
  * Depend on default-dbus-session-bus | dbus-session-bus instead of dbus-x11.
    (Closes: #835881)
  * Add gnupg to Build-Depends, it is needed by the test-suite.
    Add support for the "nocheck" build profile while at it and mark dbus and
    gnupg accordingly. (Closes: #835098)

  [ Andreas Henriksson ]
  * Add debian/patches/tests-fix-collection-tests-to-work-with-gpg-21.patch
    - fixes for gpg 2.1, see https://bugzilla.gnome.org/771052
    (Closes: #835737)
  * Bump dh compat to 10 (automatic dh-autoreconf)
  * Bump Standards-Version to 3.9.8

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 09 Oct 2016 12:25:12 +0200

gcr (3.20.0-2) unstable; urgency=medium

  * Drop uploaders.mk from debian/rules and instead use gnome dh addon.
  * Increase the time we wait for a D-Bus reply from 250ms to 1s in
    test_watch_cancels. Apparently 250ms is too low for slow architectures
    like mipsel.

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Apr 2016 03:48:21 +0200

gcr (3.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Convert from cdbs to dh.
  * Make test suite failures fatal. Run the test-suite using dbus-run-session
    (requires Build-Depends on dbus) and disable the usage of the system bus
    in one of the tests.
  * Disable fakeroot when running the test suite as this confuses some of the
    tests.
  * Dump the test-suite.log file to stdout if the test suite fails.
  * Bump Standards-Version to 3.9.7.

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Apr 2016 00:59:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,11 @@
 Source: gcr
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 9),
-               cdbs (>= 0.4.93~),
-               dh-autoreconf,
-               autotools-dev,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
+               dpkg-dev (>= 1.17.14),
                docbook-xml,
-               dpkg-dev (>= 1.16.1~),
                gnome-pkg-tools (>= 0.10),
                gtk-doc-tools (>= 1.9),
                gobject-introspection (>= 1.34),
@@ -28,8 +24,10 @@
                libp11-kit-dev (>= 0.19.0),
                libglib2.0-doc,
                valac,
-               xsltproc
-Standards-Version: 3.9.6
+               xsltproc,
+               dbus <!nocheck>,
+               gnupg <!nocheck>
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gcr
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gcr
 Homepage: https://wiki.gnome.org/Projects/GnomeKeyring
@@ -38,7 +36,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         dbus-x11,
+         default-dbus-session-bus | dbus-session-bus
 Description: GNOME crypto services (daemon and tools)
  GCR is a library for crypto UI and related tasks.
  .

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND := -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with gir,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/gcr \
		--enable-gtk-doc \
		--enable-introspection \
		--with-gtk \
		--disable-update-mime \
		--disable-valgrind

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	# Disable fakeroot as this confuses some of the tests
	env -u LD_PRELOAD dbus-run-session -- make check VERBOSE=1
endif

override_dh_install:
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4
